> For the complete documentation index, see [llms.txt](https://docs.tsgglobal.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tsgglobal.com/api-reference/phone-numbers/manage-number-for-sms-and-10dlc/disable-sms-on-a-number.md).

# Disable SMS on a Number

Remove SMS capability from a phone number with the sms-enablement endpoint (action: delete).

## Overview

This method allows you to remove SMS functionality from a number.

## Authentication

{% hint style="info" %}
Authentication is done by passing your TSG Global API key via the Authorization header in the format "Authorization: Bearer \<api\_key>"
{% endhint %}

## Method

## Disable SMS on a DID.

<mark style="color:green;">`POST`</mark> `https://api-service.tsgglobal.world/v2/sms-enablement`

#### Request Body

| Name                                     | Type   | Description                     |
| ---------------------------------------- | ------ | ------------------------------- |
| did<mark style="color:red;">\*</mark>    | String | The DID you want to sms disable |
| action<mark style="color:red;">\*</mark> | String | `delete`                        |

{% hint style="info" %}
Please be aware that this API endpoint has strict parameter parsing. In case an unknown or invalid parameter is provided in the request body, the request will be rejected with an error.
{% endhint %}

{% tabs %}
{% tab title="200: OK Success" %}

```javascript
Success
```

{% endtab %}
{% endtabs %}

## Example CURL

```bash
curl https://api-service.tsgglobal.world/v2/sms-enablement -XPOST -H "Authorization: Bearer <api_key>" \
-H "Content-Type: application/json" -d '{
  "did": "12003004000",
  "action": "delete"
}'
```
